python3.14 (3.14.4-1) unstable; urgency=medium

  * Python 3.14.4 release.
  * Also post-process the _sysconfig_vars_*.json files, like done for the
    _sysconfigdata_*.py files.
  * Fix the base_interpreter path in the build-details_*.json files.
  * Don't ship the build-details_*.json file for the debug interpreter,
    because it is installed under the same name as the one for the normal
    build. Still has different contents. PEP 739 deficiency ...
  * Explicitly build-depend on uuid-dev. LP: #2147343.
  * Update VCS attributes

 -- Matthias Klose <doko@debian.org>  Wed, 08 Apr 2026 06:02:31 +0200

python3.14 (3.14.3-5) unstable; urgency=medium

  * Update more autopkg test cases for 3.14.

 -- Matthias Klose <doko@debian.org>  Sat, 28 Mar 2026 07:06:58 +0100

python3.14 (3.14.3-4) unstable; urgency=medium

  * Update to the 3.14 branch 2026-03-27.
  * Security issues addressed on the 3.14 branch: CVE-2026-2297,
    CVE-2026-3644, CVE-2026-4224, CVE-2025-13462.
  * Security issues not yet addressed:
    - CVE-2026-3479, CVE-2026-4519, CVE-2025-12781.
    - CVE-2025-15366, CVE-2025-15367: Not backporting these as they are
      potentially breaking some existing behavior.
  * Update autopkg test dependencies for 3.14.
  * Update symbols file.
  * Fix some lintian warnings.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Fri, 27 Mar 2026 12:51:46 +0100

python3.14 (3.14.3-3) unstable; urgency=medium

  * Update to the 3.14 branch 2026-03-21.
  * Drop build dependency on blt, gone since 3.13.

 -- Matthias Klose <doko@debian.org>  Sat, 21 Mar 2026 12:37:05 +0100

python3.14 (3.14.3-2) unstable; urgency=medium

  [ Stefano Rivera ]
  * Drop explicit Build-Depends on quilt, it's only used in manual rules
    targets. Closes: #1129933.
  * Use dh_usrlocal to create /usr/local/python3.14/dist-packages.
    Closes: #1127103.

  [ Matthias Klose ]
  * Update to the 3.14 branch 2026-03-11.

 -- Matthias Klose <doko@debian.org>  Wed, 11 Mar 2026 20:17:30 +0100

python3.14 (3.14.3-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * Python 3.14.3 final.
    - Ensures that Element & Attr instances have the ownerDocument attribute.
      Closes: #1122875
    - Reject control characters in wsgiref.headers.Headers. Closes: #1126739,
      CVE-2026-0865.
    - email: verify headers are sound in BytesGenerator. Closes: #1126744,
      CVE-2026-1299.
    - Reject control characters in http cookies. Closes: #1126761,
      CVE-2026-0672.
    - Reject control characters in data: URL mediatype. Closes: #1126779,
      CVE-2025-15282.
    - email: Preserve parens when folding comments. Closes: #1126786,
      CVE-2025-11468.

  [ Matthias Klose ]
  * Modules/termios.c: stop using TC operations that need termio.h.

  [ Stefano Rivera ]
  * Refresh patches.
  * Drop m68k patch, merged upstream.
  * Patch: Rename build-details.json to fix multiarch co-installability.
    Closes: #1121810
  * Refresh guarded imports list.
  * Patch: Handle no concurrent module in compileall under python3.14-minimal.
  * Patch: Handle missing _pyrepl in _sitebuiltins under python3.13-minimal.
  * Provide pdb3.14 as a wrapper script, now that the module is no longer
    directly executable. Closes: #1121899.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 04 Feb 2026 11:33:49 -0400

python3.14 (3.14.2-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * Python 3.14.2 final.
  * Re-enable JIT.
    - Mark JIT symbols optional.
  * Drop -Os from CFLAGS for sh4. Closes: #1122007
  * Build with -O1 on m68k. Closes: #1121969

 -- Stefano Rivera <stefanor@debian.org>  Sat, 06 Dec 2025 09:20:08 -0400

python3.14 (3.14.0-5) unstable; urgency=medium

  [ Stefano Rivera ]
  * Update hppa patch to the current upstream PR.
  * Add another hppa patch for SNaN behaviour changes, to help pass more
    tests. And one to skip a hanging tests in test_ctypes.
  * Don't enable dtrace support on hppa, it's not supported.
  * Add shutil to python3.14-minimal.
  * Replace docutils-0.22 with the upstream patch.
  * Patch: Prepare for Sphinx 9.
  * Add clang and llvm to control.in, missed earlier (Jochen Sprickerhof).
    Closes: #1118589.

  [ Matthias Klose ]
  * Update to the 3.14 branch 2025-12-01.
  * d/p/Add-Debian-specific-documentation-path-to-IDLE-menu.diff:
    Disable, doesn't apply anymore.
  * Drop patches applied upstream: python3.14-hppa.patch,
    hppa-snan.diff, docutils-0.22, sphinx-9, CVE-2025-8291.patch.
  * d/p/llvm-version.diff: Don't patch generated configure file.
  * Refresh patches.
  * Eplicitly use LLVM 21.
  * Update symbols files.
  * Disable jit, ftbfs with ModuleNotFoundError: No module named 'shlex'.

 -- Matthias Klose <doko@debian.org>  Mon, 01 Dec 2025 12:18:59 +0100

python3.14 (3.14.0-4) unstable; urgency=medium

  * Update min-tempfile patch for 3.14. LP: #2127898.
  * Remove an unnecessary hunk from min-ntpath-import.diff.
  * Reorganize -minimal patches consistently by missing module name.
  * Patch: Shim gettext imports in getopt and optparse. LP: #2127899.
  * Patch: Shim shutil import in zipfile. LP: #2127900.
  * Use Debian's default LLVM version.
    - Patch: Allow specifying the LLVM version.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 21 Oct 2025 13:23:27 +0200

python3.14 (3.14.0-3) unstable; urgency=medium

  * Support docutils 0.22. Closes: #1118327.
  * Enable the experimental JIT on amd64 and arm64. It's disabled at runtime
    by default, to enable it set the environment variable PYTHON_JIT=1.
  * Patch: m68k: Avoid SIGILL when built with GCC 15.
    - Revert the use of GCC 14 for m68k.
  * Patch: CVE-2025-8291: Check consistency of the zip64 end of central
    directory record.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 20 Oct 2025 10:37:05 +0200

python3.14 (3.14.0-2) unstable; urgency=medium

  * Preliminary patch for stack grows up (Dave Anglin). Closes: #1105111.
  * Build using GCC 14 on m68k. See PR target/122211.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Oct 2025 08:26:09 +0200

python3.14 (3.14.0-1) unstable; urgency=medium

  * Python 3.14.0 final.
  * Refresh patches.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 07 Oct 2025 16:35:05 +0200

python3.14 (3.14.0~rc3-1) unstable; urgency=medium

  * Python 3.14.0 release candidate 3.
  * Upload to unstable.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 18 Sep 2025 14:47:19 +0200

python3.14 (3.14.0~rc2-1) experimental; urgency=medium

  * Python 3.14.0 release candidate 2.
  * Refresh patches.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 21 Aug 2025 15:42:53 +0200

python3.14 (3.14.0~rc1-1) experimental; urgency=medium

  * Python 3.14.0 release candidate 1.
  * Refresh patches.
  * Add symbols.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 23 Jul 2025 13:16:56 +0200

python3.14 (3.14.0~b4-1) experimental; urgency=medium

  * Python 3.14.0 beta 4.
  * Enable deterministic LTO output Closes: #1105119.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 08 Jul 2025 19:29:09 +0200

python3.14 (3.14.0~b3-1) experimental; urgency=medium

  * Python 3.14.0 beta 3.
  * Refresh patches.
  * Extend gchead-alignment.diff to cover PyObject too. Closes: #1105110.
  * Update symbols.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 18 Jun 2025 16:03:32 +0200

python3.14 (3.14.0~b2-1) experimental; urgency=medium

  * Python 3.14.0 beta 2.
    - Fixes CVE-2025-4516.
  * Replace m68k-alignment-fix.diff with a patch that reserves 2 bits for
    flags. Closes: #1105110.
  * Refresh patches.
  * Update symbols.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 28 May 2025 00:27:57 +0200

python3.14 (3.14.0~b1-1) experimental; urgency=medium

  * Python 3.14.0 beta 1.
  * Bump watch file for python 3.14.
  * Drop PGP verification from watch file, upstream no longer PGP-signs
    releases (PEP-761), add a debian/rules target to perform sigstore
    verification.
  * Refresh patches.
  * Replace man-page-fixes.diff with the remaining outstanding upstream PR.
  * Drop patches no-wheel-whl.diff and shutil-which.patch, superseded
    upstream.
  * Build-Depend on libzstd-dev.
  * Add to python3.14-minimal: compression, _contextvars, _py_warnings, and
    _zstd.
  * Patch: Degrade traceback module gracefully without codeop in
    python3.14-minimal.
  * Update symbols.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 09 May 2025 09:10:24 -0400

python3.14 (3.14.0~a7-1) experimental; urgency=medium

  * Python 3.14.0 alpha7.
  * Add to python-minimal: _ast_unparse, annotationlib.

 -- Matthias Klose <doko@debian.org>  Fri, 02 May 2025 15:56:09 +0200

python3.13 (3.13.3-3) UNRELEASED; urgency=medium

  * Update control.in for the changes in 3.13.3-2.
  * Replace no-wheel-whl.diff with upstream version.
  * Patch: Use shutil.which() in missing_compiler_executable().

 -- Stefano Rivera <stefanor@debian.org>  Sat, 12 Apr 2025 17:11:46 -0400

python3.13 (3.13.3-2) unstable; urgency=medium

  * Drop depends and test depends on python3-wheel-whl, setuptools has native
    bdist_wheel support.
  * Patch: Avoid needing python3-wheel-whl for the testsuite.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 10 Apr 2025 17:38:51 -0400

python3.13 (3.13.3-1) unstable; urgency=medium

  * Python 3.13.3.
  * Refresh patches.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 08 Apr 2025 15:55:40 -0400

python3.13 (3.13.2-3) unstable; urgency=medium

  * Update to the 3.13 branch 2025-03-29.
  * Editorial changes for the python man page (Bjarni Ingi Gislason).
    Closes: #1101406.
  * Update the min-tempfile patch for 3.13. Closes: #1098680.

 -- Matthias Klose <doko@debian.org>  Sat, 29 Mar 2025 11:04:43 +0100

python3.13 (3.13.2-2) unstable; urgency=medium

  [ Stefano Rivera ]
  * Replace update-manpage.patch with the version that landed upstream.

  [ Matthias Klose ]
  * Update to the 3.13 branch 2025-03-13.
  * Generalize os testing in debian/rules (Samuel Thibault). Closes: #1095262.
  * Update sphinx build modules, still build with sphinx 8.1.x.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Thu, 13 Mar 2025 15:29:07 +0100

python3.13 (3.13.2-1) unstable; urgency=medium

  * Python 3.13.2.
  * Refresh patches.
  * Raise a more helpful ImportError in the turtle module. LP: #2093393.
  * Replace locale-module.patch with something to the change that landed
    upstream, and just missed 3.13.2.
  * Patch: update manpage, it has been neglected for a few releases.
    Closes: #1095052
  * Update symbols.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 04 Feb 2025 21:23:35 -0400

python3.13 (3.13.1-3) unstable; urgency=medium

  [ Stefano Rivera ]
  * Drop patch sysconfigdata-name.diff, upstream rejected it and we no longer
    need it.
  * Add compatibility symlink for old sysconfigdata name.

  [ Matthias Klose ]
  * Update to the 3.13 branch 2025-01-03.
    - Fix issue #128030. Closes: #1090267.

 -- Matthias Klose <doko@debian.org>  Fri, 03 Jan 2025 11:26:34 +0100

python3.13 (3.13.1-2) unstable; urgency=medium

  * Update to the 3.13 branch 2024-12-12.
    - Fix issue #127655, CVE-2024-12254.
  * Add support for OpenSSL 3.4, issue #127330.
  * Mark test_structseq as failing on Ubuntu/armhf.

 -- Matthias Klose <doko@debian.org>  Thu, 12 Dec 2024 11:12:28 +0100

python3.13 (3.13.1-1) unstable; urgency=medium

  * Python 3.13.1.

  [ Matthias Klose ]
  * Apply temporary fix to fix build issue on m68k. Closes: #1087600.
  * Don't use -fno-inline-small-functions on hppa (Dave Anglin).
  * Build with -Os on sh4 (Adrian Glaubitz).
  * Stop using EXTRA_CFLAGS. Closes: #1087923.
  * Bump standards version.

  [ Stefano Rivera ]
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Dec 2024 10:39:10 +0100

python3.13 (3.13.0-2) unstable; urgency=medium

  [ Stefano Rivera ]
  * Adjust lib-argparse.diff to avoid failing test_argparse's translation
    test.

  [ Matthias Klose ]
  * Update to the 3.13 branch 2024-11-12.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Tue, 12 Nov 2024 10:54:22 +0100

python3.13 (3.13.0-1) unstable; urgency=medium

  * Python 3.13.0 final.
  * Add DEP-12 metadata.
  * Update symbols file.
  * Patch: Allow stable API extensions to include a multiarch tuple in the
    filename.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 07 Oct 2024 14:58:50 -0700

python3.13 (3.13.0~rc3-1) unstable; urgency=medium

  * Python 3.13.0 release candidate 3.
  * Refresh patches.
  * Remove debian/locale-gen, we use locales-all. Closes: #1076778.
  * Re-enable build-time tests. Closes: #1076779.
    - Build-Depend on xvfb and xauth again.
    - Build-Depend on python3-{pip,setuptools,wheel}-whl for tests.
  * Verify upstream PGP signature.
  * Patch: Strip absolute --libdir paths from configure args in test_freeze.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 03 Oct 2024 09:12:35 -0600

python3.13 (3.13.0~rc2-1) unstable; urgency=medium

  * Python 3.13.0 release candidate 2.
  * Refresh patches.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 07 Sep 2024 10:52:38 +0200

python3.13 (3.13.0~rc1-4) unstable; urgency=medium

  * python3.x-tk: Make byte-compilation depend on the availability of
    the interpreter.

 -- Matthias Klose <doko@debian.org>  Thu, 22 Aug 2024 15:07:31 +0200

python3.13 (3.13.0~rc1-3) unstable; urgency=medium

  * Add python3.x-tk maintainer scripts.
  * Call dpkg with LC_ALL=C.UTF8 set.

 -- Matthias Klose <doko@debian.org>  Thu, 22 Aug 2024 09:53:05 +0200

python3.13 (3.13.0~rc1-2) experimental; urgency=medium

  [ Stefano Rivera ]
  * Drop patch ctypes-arm. Superseded upstream in 2.7.5.
  * Drop patch fix-py_compile. Superseded upstream in 3.11.
  * Drop patch sphinx3, superseded upstream in 3.10.
  * Expand on patch comments.
  * Forward some patches.
  * Update pydoc-use-pager patch.

  [ Matthias Klose ]
  * Build python3.13-gdbm and python3.13-tk packages again; Having these
    extensions hidden in the libpython-stdlib packages raises some chrootkit
    warnings. These packages should not be used as dependencies, and do not
    depend on the Python interpreter.  For dependencies, the existing
    python3-gdbm and python3-tk packages should be used.

 -- Matthias Klose <doko@debian.org>  Wed, 21 Aug 2024 11:23:04 +0200

python3.13 (3.13.0~rc1-1) unstable; urgency=medium

  * Python 3.13.0 release candidate 1.
  * Don't pass -specs=package-metadata.specs.
  * Don't mention 2to3 in package description anymore. Closes: #1077957.
  * Prefix patches for python3-minimal with 'min-'.
  * libpython-stdlib: Include the _gdbm and _tkinter extensions, prefixed
    with a dot, and no dependencies on the gbm and tcl/tk libraries.
  * Update symbols files.

 -- Matthias Klose <doko@debian.org>  Tue, 06 Aug 2024 08:03:09 +0200

python3.13 (3.13.0~b4-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * New upstream beta.
  * Drop patches superseded upstream: riscv64-no-perf-trampoline,
    skip-unallocated-arena-free.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 19 Jul 2024 10:12:48 +0900

python3.13 (3.13.0~b3-6) unstable; urgency=medium

  * Don't consider fixing interpreters in .so files, fixing a FTBFS on s390x.
  * Instead of exporting ELF_PACKAGE_METADATA, which isn't consumed directly,
    export the environment variables required by the metadata spec file.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 18 Jul 2024 11:00:47 +0900

python3.13 (3.13.0~b3-5) unstable; urgency=medium

  [ Matthias Klose ]
  * Set ELF_PACKAGE_METADATA, if unset.
  * Fix multiarch path for hurd-amd64. Addresses: #1076321.

  [ Benjamin Drung ]
  * debian/rules: Use pkg-info.mk
  * debian/rules: Use architecture.mk
  * Rely on SOURCE_DATE_EPOCH for reproducibility

  [ Graham Inggs ]
  * Skip test_exceptions and test_repl which never run to
    completion on the Ubuntu autopkgtest infrastructure

 -- Matthias Klose <doko@debian.org>  Wed, 17 Jul 2024 12:23:29 +0200

python3.13 (3.13.0~b3-3) unstable; urgency=medium

  * Remove distutils references, it was removed in 3.12.
  * Remove pysetup3(1), it was removed in 3.2.
  * Patch: Avoid munmap() of the zero page when freeing unallocated arenas.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 09 Jul 2024 01:33:11 +0200

python3.13 (3.13.0~b3-2) unstable; urgency=medium

  * Patch: Disable perf_trampoline or riscv64, for now.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 03 Jul 2024 17:05:54 +0200

python3.13 (3.13.0~b3-1) unstable; urgency=medium

  * New upstream beta.
  * Use https in watch file.
  * Refresh patches.
  * Migrate some more bits of packaging from 3.12 to 3.13.
  * Drop old breaks+replace.
  * Rename python3.12-updates.diff to compileall-minimal.diff.
  * Document that _typing is included in -minimal.
  * Update symbols file.
  * Install python3-wheel-whl in the testsuite autopkgtests. Not installed in
    venvs by default (so not a dependency of python3-venv) but required by
    tests.
  * Add a missing import to ntpath-import.diff.
  * Patch: Handle missing _pyrepl in the -minimal interpreter.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 03 Jul 2024 12:17:07 +0200

python3.13 (3.13.0~b2-1) unstable; urgency=medium

  [ Matthias Klose ]
  * Configure without --with-dtrace on the Hurd.

  [ Stefano Rivera ]
  * Python 3.13.0 beta 2 snapshot.
  * Refresh patches.
  * Bump watch file to 3.13.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 11 Jun 2024 15:14:35 +0100

python3.13 (3.13.0~b1-2) unstable; urgency=medium

  * Configure --with-system-libmpdec=no.

 -- Matthias Klose <doko@debian.org>  Wed, 15 May 2024 12:13:44 +0200

python3.13 (3.13.0~b1-1) unstable; urgency=medium

  * Python 3.13.0 beta 1 snapshot.
  * Update symbols files.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Wed, 15 May 2024 08:57:29 +0200

python3.13 (3.13.0~a6-1) experimental; urgency=medium

  * Python 3.13.0 alpha 6 snapshot.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Wed, 01 May 2024 07:51:20 +0200

python3.12 (3.12.3-1) unstable; urgency=medium

  * Python 3.12.3 release.

 -- Matthias Klose <doko@debian.org>  Wed, 10 Apr 2024 07:33:47 +0200

python3.12 (3.12.2-5) unstable; urgency=medium

  * Update to the 3.12 branch 2024-02-02.
    - Make C API compatible with ISO C90 (GH-116950). Closes: #1064028.
    - Upstream patch for GH-115874.
    - Still identify as "3.12.2", because "3.12.2+" is mis-treated by some
      third-party packages.
  * Use CFLAGS_NODIST, LDFLAGS_NODIST for passing build flags.
  * d/rules: Move configure/build targets for each build together.
  * Drop ffi configure options, obsolete.
  * Re-enable PGO/LTO builds.

 -- Matthias Klose <doko@debian.org>  Tue, 02 Apr 2024 16:53:02 +0200

python3.12 (3.12.2-4) unstable; urgency=medium

  [ Stefano Rivera ]
  * Build-Depend on libnsl-dev for NIS support. Closes: #1065128.

  [ Matthias Klose ]
  * Fix override files for renamed t64 packages.
  * Fix package names in PVER-dbg maintainer scripts. Addresses: #1065164.
  * Really build without LTO when requested.
  * Disable LTO builds and testsuite for now (mesa t64 transition ...).

 -- Matthias Klose <doko@debian.org>  Sun, 03 Mar 2024 10:11:00 +0100

python3.12 (3.12.2-3) unstable; urgency=medium

  * Actually apply the teedataobject_clear patch. Closes: #1063345.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 29 Feb 2024 11:43:19 -0400

python3.12 (3.12.2-2) unstable; urgency=medium

  [ Colin Watson ]
  * Don't rely on module state in teedataobject_clear (from Brandt Bucher in
    https://github.com/python/cpython/issues/115874). Closes: #1063345.

  [ Steve Langasek ]
  * Rename libraries for 64-bit time_t transition, declare X-Time64-Compat
    to get proper Provides (Steve Langasek). Closes: #1064336.

 -- Matthias Klose <doko@debian.org>  Thu, 29 Feb 2024 02:56:09 +0100

python3.12 (3.12.2-1) unstable; urgency=medium

  * Python 3.12.2 release.
  * Don't build-depend on systemtap-sdt-dev on the Hurd.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Wed, 07 Feb 2024 21:47:03 +0100

python3.12 (3.12.1-2) unstable; urgency=medium

  * Fix build with WITH_PYMALLOC_RADIX_TREE=0 (needed for ia64).

 -- Matthias Klose <doko@debian.org>  Fri, 08 Dec 2023 17:20:54 +0100

python3.12 (3.12.1-1) unstable; urgency=high

  * Python 3.12.1 release.
    - Fix gh-105716, breaking greenlet/eventlet.
  * Update symbols files.
  * Add platform triplets for x86_64 GNU/Hurd (Samuel Thibault). 
    Addresses: #1055960.

 -- Matthias Klose <doko@debian.org>  Fri, 08 Dec 2023 10:36:47 +0100

python3.12 (3.12.0-7) unstable; urgency=medium

  * Update to the 3.12 branch 2023-12-02.
  * Identify as version "3.12.0" instead of "3.12.0+", confusing some
    third party packages.
  * Remove references to the avr architecture. Closes: #1056761.
  * Fix more shebangs. Closes: #1057192.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Dec 2023 13:35:02 +0100

python3.12 (3.12.0-6) unstable; urgency=medium

  * Fix syntax error in the python3.12-dbg-config script.

 -- Matthias Klose <doko@debian.org>  Sun, 19 Nov 2023 12:32:56 +0100

python3.12 (3.12.0-5) unstable; urgency=medium

  * libpython3.12-testsuite: Don't attempt to byte-compile files name
    badsyntax_*. Update path for tokenizedata's bad_coding samples.
  * libpython3.12-testsuite: Ignore warnings during byte compilation.
    Closes: #1040279.
  * Replace (currently disabled) hurd_kfreebsd_thread_native_id.diff with
    simply ignoring the relevant symbol on non-Linux. Closes: #1055820.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 12 Nov 2023 15:37:07 +0200

python3.12 (3.12.0-4) unstable; urgency=medium

  * Add breaks/replaces for typinganndata move. Closes: #1055680.

 -- Matthias Klose <doko@debian.org>  Fri, 10 Nov 2023 12:33:26 +0100

python3.12 (3.12.0-3) unstable; urgency=medium

  * Update to the 3.12 branch 2023-11-09.

  [ Stefano Rivera ]
  * Add myself as an uploader.
  * Depend on netbase in libpython3.12-stdlib. Closes: #1055172.

  [ Matthias Klose ]
  * Fix some lintian warnings.
  * Add loong64 to the multiarch header file. Closes: #1053835.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Nov 2023 11:45:17 +0100

python3.12 (3.12.0-1) unstable; urgency=medium

  * Python 3.12.0 release.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Oct 2023 08:27:34 +0200

python3.12 (3.12.0~rc2-1) unstable; urgency=medium

  * Python 3.12.0 release candidate 2.

 -- Matthias Klose <doko@debian.org>  Thu, 14 Sep 2023 06:33:29 +0200

python3.12 (3.12.0~rc1-2) unstable; urgency=medium

  * Update to the 3.12 branch 2023-08-29.
    - Add loongarch support. Addresses: #1049963.
    - Address CVE-2023-41105, CVE-2023-40217.
  * libpython3.12-stdlib: Depend on tzdata. Closes: #1050529.
  * Add proposed patch to avoid tzdata-legacy, and drop again the
    dependency on it. See  https://github.com/python/cpython/pull/108533.

 -- Matthias Klose <doko@debian.org>  Tue, 29 Aug 2023 17:33:03 +0200

python3.12 (3.12.0~rc1-1) unstable; urgency=medium

  * Python 3.12.0 release candidate 1.
  * Update symbols files.

 -- Matthias Klose <doko@debian.org>  Thu, 10 Aug 2023 06:02:50 +0200

python3.12 (3.12.0~b4-1) unstable; urgency=medium

  * Python 3.12.0 beta 3 snapshot.
  * libpython3.12-stdlib: Depend on tzdata. Addresses: #1037168.

 -- Matthias Klose <doko@debian.org>  Thu, 13 Jul 2023 16:24:02 +0200

python3.12 (3.12.0~b3-1) unstable; urgency=medium

  * Python 3.12.0 beta 3 snapshot.

 -- Matthias Klose <doko@debian.org>  Fri, 23 Jun 2023 17:06:58 +0200

python3.12 (3.12.0~b2-3) unstable; urgency=medium

  [ Matthias Klose ]
  * libpython3.12-testsuite: Don't install ctypes/test_macholib.
  * Add test_cppext to the failing tests, requires pip.

  [ Stefano Rivera ]
  * Drop python3.12-venv's dependency on python3-setuptools-whl. venv doesn't
    include setuptools in venvs, any more in Python 3.12.
  * Remove autopkgtest coverage of SETUPTOOLS_USE_DISTUTILS=local, there is no
    stdlib distutils in Python 3.12.
  * Adapt the venv/virtualenv autopkgtests to not expect setuptools & wheel to
    be installed.

 -- Matthias Klose <doko@debian.org>  Tue, 20 Jun 2023 10:44:07 +0200

python3.12 (3.12.0~b2-2) unstable; urgency=medium

  * Fix bytecode compilation for python3.12-testsuite. Closes: #1036789.
  * Tighten autopkg test dependencies on python3-tk and python3-gdbm.

 -- Matthias Klose <doko@debian.org>  Tue, 13 Jun 2023 06:48:48 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog python3.14-tk`.
